package com.jpsoft.shinestar.modules.wechat.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.wechat.entity.ReplyMessage;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ReplyMessageService {
	ReplyMessage get(String id);
	boolean exist(String id);
	int insert(ReplyMessage model);
	int update(ReplyMessage model);
	int delete(String id);
	List<ReplyMessage> list();
	Page<ReplyMessage> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);
	ReplyMessage findByEvent(String event);
}